package com.sky.ioc.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "sky")
public class SkyConfig {
    /** 项目名称 */
    private static String name;

    /** 版本 */
    private static String version;

    public static String getName() {
        return name;
    }

    public static void setName(String name) {
        SkyConfig.name = name;
    }

    public static String getVersion() {
        return version;
    }

    public static void setVersion(String version) {
        SkyConfig.version = version;
    }
}
